Name:          kanboard
Version:       1.2.42
Release:       %mkrel 3
Summary:       Simple visual task board
Group:         Office/Management

License:       GPLv3
URL:           http://www.kanboard.net
Source0:       https://github.com/fguillot/kanboard/archive/v%{version}/%{name}-%{version}.tar.gz
BuildArch:     noarch

Requires:      apache
Requires:      php >= 5.3.3
Requires:      php-mbstring
Requires:      php-pdo
Requires:      php-webinterface
Requires:      php-pdo_sqlite
Requires:      php-gd
Requires:      php-ctype
Requires:      php-filter
Requires:      php-dom
 
%description
Kanboard is a simple visual task board web application.

* Inspired by the Kanban methodology 
* Get a visual and clear overview of your project
* Multiple boards with the ability to drag and drop tasks
* Minimalist software, focus only on essential features (Less is more)
* Open source and self-hosted
* Super simple installation


%prep
%setup -q
%build
#Nothing to build

%install

#Application 
mkdir -p %buildroot%{_datadir}/kanboard
mkdir -p %buildroot%{_sysconfdir}/kanboard
cp -pr * %buildroot%{_datadir}/kanboard
mkdir -p %buildroot%_webappconfdir
mkdir -p %{buildroot}%{webappconfdir}
cat > %{buildroot}%{webappconfdir}/%{name}.conf <<EOF
# %{name} configuration
Alias /%{name} %{_datadir}/%{name}

<Directory %{_datadir}/%{name}>
    <IfModule mod_authz_core.c>
        # Apache 2.4
        Require all granted
    </IfModule>
    <IfModule !mod_authz_core.c>
        # Apache 2.2
        Order allow,deny
        Allow from all
    </IfModule>
</Directory>
EOF


%files
%dir %{_datadir}/kanboard
%{_datadir}/kanboard/*
%attr(755, apache, apache) %{_datadir}/kanboard/data
%_webappconfdir/* 


%changelog
* Mon Jun 30 2025 umeabot <umeabot> 1.2.42-3.mga10
+ Revision: 2230089
- Mageia 10 Mass Rebuild

* Wed Nov 20 2024 papoteur <papoteur> 1.2.42-2.mga10
+ Revision: 2117845
- add php requirements

* Tue Nov 19 2024 papoteur <papoteur> 1.2.42-1.mga10
+ Revision: 2117741
- new version 1.2.42

* Mon Mar 21 2022 umeabot <umeabot> 1.0.8-6.mga9
+ Revision: 1812927
- Mageia 9 Mass Rebuild

* Wed Jul 22 2020 mokraemer <mokraemer> 1.0.8-5.mga8
+ Revision: 1607869
- resolve mod_php conflict

* Tue Feb 11 2020 umeabot <umeabot> 1.0.8-4.mga8
+ Revision: 1490761
- Mageia 8 Mass Rebuild

* Tue Sep 18 2018 umeabot <umeabot> 1.0.8-3.mga7
+ Revision: 1262435
- Mageia 7 Mass Rebuild

* Fri Feb 19 2016 umeabot <umeabot> 1.0.8-2.mga6
+ Revision: 969274
- Mageia 6 Mass Rebuild

* Mon Aug 17 2015 neoclust <neoclust> 1.0.8-1.mga6
+ Revision: 865284
- imported package kanboard

